Validate GeoJson Template

Validates a populated mapping template to make sure it is valid for use in the GeoJson Import API.

Confirms template and all the values and mappings defined are valid and can be mapped to appropriate categories and custom fields.

Use the generate_geojson_template to create a boilerplate template as a starting point.

UID, label, network_operator and category fields are required.

The design element's geometry will be automatically mapped to the GeoJson's geometry field.

All other fields are optional.

The category field's text_value generated in the template lists all the available design element categories for the given network_operator. Usually this field will be mapped to a GeoJson property. However, if it is set to value, ONLY ONE of the categories listed in the text_value field will be valid and this category will be used for all design elements imported.

The field attribute_name is used to map to any field in the "properties" section of the GeoJson data.

When a field has the option of being mapped to a GeoJson property, or a fixed value, the field in the mapping template will have an option for map_type which must be one of "map" or "value". If the map_type is set to "map", the field attribute_name must be speciifed. If the map_type is set to "value", the *_value field must be set and this value will be used for all entities in the import.

For all custom fields: 1. Any custom fields that do not have mapped values from the source GeoJson file and a fixed value is not specified, the section for that setting must be deleted. Only the custom fields that will be overwritten on import should be mapped. 2. The settings_label is for information only. It will not be used during the import. 3. The settings_data_type must match the definition of the custom field in Vitruvi. If they do not match, a validation error will be returned. 3. If the map_type is set to "map", the attribute_name will need to be set to a value field in the "properties" section of the GeoJson file. All values in the *_value fields will be ignored. 4. If the map_type is set to "value", the attribute_name field will be ignored and the import will expect one of the *_value fields to be set. This value will be used for ALL entities imported from the GeoJson file. The value must be set in the correct *_value field for the given settings_data_type. 5. If a custom field is not visible for the design element's category, the mapping will be skipped on import without error.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies how design element data is mapped from the GeoJson inputs.

Network operator must be specified. Elements can only be mapped into one network operator per import.

Some fields can only be mapped to a property value in the GeoJson feature. Other fields have the option of being mapped to a value from the GeoJson feature, or specified as a fixed (literal) value.

A boilerplate mapping template can be generated as a starting point by using the /api/v2/engineering/generate_geojson_template endpoint.

uid
object
required

The value for this Vitruvi field will be mapped to the GeoJson property specified in "attribute_name".

label
object
required

The value for this Vitruvi field will be mapped to the GeoJson property specified in "attribute_name".

string
required
category
object
required

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

region
object | null

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

full_address
object | null

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

string | null
description
object | null

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

comments
object | null

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

go_from
object | null

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

go_to
object | null

Used to map a field value in Vitruvi to a property name or fixed (literal) string value in a GeoJson file.

If map_type is set to map, the "attibute_name" field must be set to a property name in the GeoJson where the custom field value will be retrieved from. If set to value, the custom field value will be set to the string literal specified in the "value" field.

custom_fields
array of objects | null
custom_fields
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json